Bug 975076 - Firefox doesn't apply system default scale [X11] [NEEDINFO]
Firefox doesn't apply system default scale [X11]
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 11:08 EDT by Martin Jürgens
Modified: 2016-02-26 10:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 10:31:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stransky: needinfo? (ma)


Attachments (Terms of Use)
expected result (old screenshot with IE, notice how all elements (text,images) are made bigger in size) (512.74 KB, image/png)
2013-06-17 11:13 EDT, Martin Jürgens
no flags Details
actual result with firefox on linux (UI elements bigger, website content stays small) (325.62 KB, image/png)
2013-06-17 11:14 EDT, Martin Jürgens
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 603880 None None None Never
Mozilla Foundation 712898 None None None Never

  None (edit)
Description Martin Jürgens 2013-06-17 11:08:32 EDT
Description of problem:
RHEL offers some accessiblity features, such as making fonts larger / changing the dpi value (i.e. by choosing large fonts in the gnome accessiblity center).
Normally, all elements in applications are made bigger then. 
Sadly, this does not apply for the websites that Firefox displays - they remain small and are not made accessible (the behavior of Internet Explorer and Firefox (with a setting in about:config) on Windows is correct.

It would be definitly nice if this was fixed with RHEL7

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set GNOME accessiblity setting to "large fonts"
2. Restart Firefox
3.

Actual results:
Firefox UI elements are made bigger, fonts are not

Expected results:
All elements (including websites) made bigger

Additional info:
Please have a look at the upstream bug (and also the Windows upstream bug, which has already been fixed)
Comment 1 Martin Jürgens 2013-06-17 11:13:19 EDT
Created attachment 762066 [details]
expected result (old screenshot with IE, notice how all elements (text,images) are made bigger in size)
Comment 2 Martin Jürgens 2013-06-17 11:14:11 EDT
Created attachment 762067 [details]
actual result with firefox on linux (UI elements bigger, website content stays small)
Comment 4 RHEL Product and Program Management 2013-10-13 23:20:42 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Martin Stransky 2015-06-03 07:57:28 EDT
Can you retest with Firefox 38? Should be fixed there.
Comment 6 Martin Stransky 2016-02-26 10:31:16 EST
Please reopen if you see this.

Note You need to log in before you can comment on or make changes to this bug.